//
// truss.cpp  written by Kenji Shimada
//

#include  "truss.h"

int main(int argc, char *argv[]) {     

	double	pa[3] = {5.5,-2.0, 0.0}, pb[3] = {5.0, 0.0, 0.0};
	double	pc[3] = {0.0, 0.0, 3.0}, pd[3] = {0.0, 0.0,-2.0};
	double	pe[3] = {0.0, 4.0, 0.0};
	double	force = 123;

	cout << "\n>> 24-311:Numerical Methods--Gauss-Jordan Elimination with Partial Pivoting <<\n\n";

	// Open output wrl file
	ofstream outFile;                   
	outFile.open ("output.wrl", ios::out);
	if (!outFile) {
		cerr << "Cannot open this file for output.\n";
		exit (-1);
	}

	// Create the canvas in the output file
	vrml_axes (outFile, MY_NAME);

	// Draw a truss member in tension
	vrml_truss (outFile, pa, pb, force);

	// Draw a truss member in tension
	vrml_truss (outFile, pa, pc, 2.0*force);

	// Draw a truss member in tension
	vrml_truss (outFile, pa, pd, 3.0*force);

	// Draw a truss member in compression
	vrml_truss (outFile, pb, pc, -force);

	// Draw a truss member in compression
	vrml_truss (outFile, pb, pd, -2.0*force);

	// Draw a truss member with zero force
	vrml_truss (outFile, pb, pe, 0);
	

	// Close the output files
	outFile.close ();

	cout.flush();
	return 0;
}


